propellor-5.13: property-based host configuration management in haskell

Maintainer | Sean Whitton <spwhitton@spwhitton.name>
Safe Haskell | None
Language | Haskell2010

Propellor.Property.Schroot

Description

Synopsis

- data UseOverlays = UseOverlays
- useOverlays :: Property (HasInfo + UnixLike)
- usesOverlays :: Propellor Bool
- overlaysInTmpfs :: RevertableProperty (HasInfo + DebianLike) UnixLike
- installed :: Property DebianLike

# Documentation

data UseOverlays Source #

Constructors

UseOverlays |

#### Instances

Instances details

Eq UseOverlays Source # |
Instance details Defined in Propellor.Property.Schroot Methods (==) :: UseOverlays -> UseOverlays -> Bool (/=) :: UseOverlays -> UseOverlays -> Bool
Show UseOverlays Source # |
Instance details Defined in Propellor.Property.Schroot Methods showsPrec :: Int -> UseOverlays -> ShowS show :: UseOverlays -> String showList :: [UseOverlays] -> ShowS

useOverlays :: Property (HasInfo + UnixLike) Source #

Indicate that a schroots on a host should use `union-type=overlay`

Setting this property does not actually ensure that the line `union-type=overlay` is present in any schroot config files. See `built` for example usage.

usesOverlays :: Propellor Bool Source #

Gets whether a host uses overlays.

overlaysInTmpfs :: RevertableProperty (HasInfo + DebianLike) UnixLike Source #

Configure schroot such that all schroots with `union-type=overlay` in their configuration will run their overlays in a tmpfs.

Implicitly sets `useOverlays` info property.

Shell script from https://wiki.debian.org/sbuild.

installed :: Property DebianLike Source #